Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Dark Dreams of Furiae - a new module for NWN:EE! Buy now
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

[MOD] -Might and Guile- a tweak mod and kit pack for warriors and rogues.

1757678808183

Comments

  • The user and all related content has been deleted.

    rapsam2003
  • HypaspistHypaspist Member Posts: 24
    edited July 2019
    @Hypaspist I've seen instances where uninstalling LeUI doesn't leave things in a functional state. I'm not sure why - I don't really know how that mod is coded. But in general, but UI overhauls that overwrite important files should be installed early in your order, not at the end. It might be worth installing your list again, with LeUI at the beginning.

    Finally managed to find the issue - turns it was, surprisingly enough, two quest mods - I Shall Never Forget & Tales from the Deep Gardens.

    Post edited by Hypaspist on
  • HypaspistHypaspist Member Posts: 24
    edited July 2019
    @subtledoctor

    After having played it for a bit I've got to say that this mod is absolutely amazing. So many options; excellent work!

    However, it would seem I've ran into a bug with bardic casting. At first it worked just fine (First I initiated bardic casting, then used daily spell preparation) - I could several spells from the same level, just as with Sorcerer's casting.

    However, after a while, this happend: https://imgur.com/a/kdrN94N

    First I could only cast only one spell, as memorized, and then it switched to 14 spells from level 4 (as per screenshot).

    I've also encountered a problem with Bladesong - I can enable it and it seems to be working, but when I disable it (with an ability called "Quick Weapon" I cannot use it again, even after resting.

    Another thing - you have Song & Silence, Divine Remix and Rogue Rebalancing in your install order, are of their components safe to install?

    Post edited by Hypaspist on
  • ThacoBellThacoBell Member Posts: 11,096
    @Hypaspist Do you use EEKeeper? Right now, just opening a save in it completely breaks bardic spellcasting.

    Hypaspist
  • HypaspistHypaspist Member Posts: 24
    edited July 2019
    ThacoBell wrote: »
    @Hypaspist Do you use EEKeeper? Right now, just opening a save in it completely breaks bardic spellcasting.

    Yes, I do. Guess we've found the culprit. Can I use any other programs to edit savegames? And does using Near Infinity also cause problems? For example, I've edited the kitlist after installing all the mods.

  • ThacoBellThacoBell Member Posts: 11,096
    @Hypaspist I don't know if any other save editors have the same issue. I don't use nearinfinity either, I could neve rfigure it out.

  • [Deleted User][Deleted User] Posts: 0
    edited July 2019
    The user and all related content has been deleted.

    Hypaspist
  • amitlathamitlath Member Posts: 22
    Hypaspist wrote: »
    @Hypaspist I've seen instances where uninstalling LeUI doesn't leave things in a functional state. I'm not sure why - I don't really know how that mod is coded. But in general, but UI overhauls that overwrite important files should be installed early in your order, not at the end. It might be worth installing your list again, with LeUI at the beginning.

    Finally managed to find the issue - turns it was, surprisingly enough, two quest mods - I Shall Never Forget & Tales from the Deep Gardens.

    I'm facing the same problem when TotDG is installed. Is there a workaround? I'd like to avoid re-installing if possible.

  • amitlathamitlath Member Posts: 22
    amitlath wrote: »
    Hypaspist wrote: »
    @Hypaspist I've seen instances where uninstalling LeUI doesn't leave things in a functional state. I'm not sure why - I don't really know how that mod is coded. But in general, but UI overhauls that overwrite important files should be installed early in your order, not at the end. It might be worth installing your list again, with LeUI at the beginning.

    Finally managed to find the issue - turns it was, surprisingly enough, two quest mods - I Shall Never Forget & Tales from the Deep Gardens.

    I'm facing the same problem when TotDG is installed. Is there a workaround? I'd like to avoid re-installing if possible.

    No suggestions?

  • HypaspistHypaspist Member Posts: 24
    edited July 2019
    amitlath wrote: »
    amitlath wrote: »
    Hypaspist wrote: »
    @Hypaspist I've seen instances where uninstalling LeUI doesn't leave things in a functional state. I'm not sure why - I don't really know how that mod is coded. But in general, but UI overhauls that overwrite important files should be installed early in your order, not at the end. It might be worth installing your list again, with LeUI at the beginning.

    Finally managed to find the issue - turns it was, surprisingly enough, two quest mods - I Shall Never Forget & Tales from the Deep Gardens.

    I'm facing the same problem when TotDG is installed. Is there a workaround? I'd like to avoid re-installing if possible.

    No suggestions?

    Installing it last seems to have fixed the problem.
    I can't help it if EEKeeper does some sort of shenanigans with your character every time you want to make a small adjustment to a savegame. That's dumb. Frankly I never lined 'Keeper - it's got some nice UI chrome, but I always found it to be flaky.

    I use, and I recommend using, Near Infinity to edit saves. It doesn't do extra junk you don't want it to. It's a bit imposing at first but once you know how to get to the part you want to edit, it's fine.

    1) Scroll to the "savegames" category and open the .gam file
    2) Double-click the character you want to edit ftom the top-right list
    3) Click "Edit" at the top of the window
    4) Scroll all the way down to the bottom and double-click the ".cre" file
    5) Change whatever needs changing.
    6) Close all extra windows and in the base window, click "save"

    Thanks, that did the trick.

    However, I've encountered a problem with the Bladesong ability:

    1. Once used, it persists, but it cannot disabled (even though the description states that it can be used at will);
    2. Once disabled - with "Quick Weapon" innate ability, it cannot be enabled again, even after resting (Screenshots: https://imgur.com/a/aOorPZj.
    3. This might be connected to problem 1 and 2 - the description is incomplete, maybe something's off with my install?(Screenshot: https://imgur.com/a/bu6cO3D).

  • amitlathamitlath Member Posts: 22
    Hypaspist wrote: »
    amitlath wrote: »
    amitlath wrote: »
    Hypaspist wrote: »
    @Hypaspist I've seen instances where uninstalling LeUI doesn't leave things in a functional state. I'm not sure why - I don't really know how that mod is coded. But in general, but UI overhauls that overwrite important files should be installed early in your order, not at the end. It might be worth installing your list again, with LeUI at the beginning.

    Finally managed to find the issue - turns it was, surprisingly enough, two quest mods - I Shall Never Forget & Tales from the Deep Gardens.

    I'm facing the same problem when TotDG is installed. Is there a workaround? I'd like to avoid re-installing if possible.

    No suggestions?

    Installing it last seems to have fixed the problem.

    I was hoping to avoid fiddling with the install. Is there any 2da editing that will help?

  • The user and all related content has been deleted.

  • amitlathamitlath Member Posts: 22
    Hypaspist wrote: »
    I've encountered a problem with the Bladesong ability:

    1. Once used, it persists, but it cannot disabled (even though the description states that it can be used at will);
    2. Once disabled - with "Quick Weapon" innate ability, it cannot be enabled again, even after resting (Screenshots: https://imgur.com/a/aOorPZj.
    3. This might be connected to problem 1 and 2 - the description is incomplete, maybe something's off with my install?(Screenshot: https://imgur.com/a/bu6cO3D).

    Probably just a bug with the way I added that ability. I'll take a look.
    amitlath wrote: »
    Hypaspist wrote: »
    amitlath wrote: »
    amitlath wrote: »
    Hypaspist wrote: »
    @Hypaspist I've seen instances where uninstalling LeUI doesn't leave things in a functional state. I'm not sure why - I don't really know how that mod is coded. But in general, but UI overhauls that overwrite important files should be installed early in your order, not at the end. It might be worth installing your list again, with LeUI at the beginning.

    Finally managed to find the issue - turns it was, surprisingly enough, two quest mods - I Shall Never Forget & Tales from the Deep Gardens.

    I'm facing the same problem when TotDG is installed. Is there a workaround? I'd like to avoid re-installing if possible.

    No suggestions?

    Installing it last seems to have fixed the problem.

    I was hoping to avoid fiddling with the install. Is there any 2da editing that will help?

    I confess I can't follow what issue you are referring to... is there a conflict with Lava's mod(s)? Can you give me a way to reproduce whatever you are seeing?

    Sorry I wasn't clear. The issue is: the game crashes when making a Bard character after you have selected the memorized spells and click on <next>. I tried with a couple different kits: Blade and Jester. It also crashes when leveling up Haer'Dalis, who is a Blade.

    I managed to reproduce the issue on a clean bg2ee install with just TotTG and Might and Guile Revised Bards component. Please let me know if you need more information.

  • HypaspistHypaspist Member Posts: 24
    Hypaspist wrote: »
    I've encountered a problem with the Bladesong ability:

    1. Once used, it persists, but it cannot disabled (even though the description states that it can be used at will);
    2. Once disabled - with "Quick Weapon" innate ability, it cannot be enabled again, even after resting (Screenshots: https://imgur.com/a/aOorPZj.
    3. This might be connected to problem 1 and 2 - the description is incomplete, maybe something's off with my install?(Screenshot: https://imgur.com/a/bu6cO3D).

    Probably just a bug with the way I added that ability. I'll take a look.

    Thanks, appreciate it.

  • TressetTresset Member, Moderator Posts: 7,887
    @Hypaspist One of your comments here was caught by the forum's automated spam filter. I have verified you so that this should not happen again.

    Hypaspist
  • The user and all related content has been deleted.

  • kjeronkjeron Member Posts: 2,163
    edited July 2019
    Okay, I can reproduce this. But, I have zero idea why it would CTD after choosing memorized spells. It's really weird. I'm not even sure how to troubleshoot it - I don't have the barest hypothesis to start from... :(
    It's most likely a corrupt spell/ability/opcode referenced in the CLAB file, as that is the point during CHARGEN when the CLAB file is applied to the creature.

  • The user and all related content has been deleted.

  • amitlathamitlath Member Posts: 22
    It should be noted that the crash during leveling up Haer'Dalis happens at the screen where proficiencies and skill points are allocated.

    In my game, I have NPC management from SCS installed. So when Haer'Dalis joins, he is at level 0. Without touching his class/kit, when I straight away level him up, the crash happens (when I click <next> in the above screen).

  • [Deleted User][Deleted User] Posts: 0
    edited July 2019
    The user and all related content has been deleted.

  • amitlathamitlath Member Posts: 22
    amitlath wrote: »
    In my game, I have NPC management from SCS installed. So when Haer'Dalis joins, he is at level 0.

    Ah! Well that's different. So maybe it's a 1st-level ability. More things to check. (Though I still don't get how a quest mod could corrupt a spell in my clab tables when the spell is installed after it...)

    Further weirdness... I tried installing MnG bards component first then tottg. Now I can create the bard-blade character without the crash. However, they end up with no memorization slots. 0 slots in l1, l2, l3 spells.

  • The user and all related content has been deleted.

  • amitlathamitlath Member Posts: 22
    amitlath wrote: »
    amitlath wrote: »
    In my game, I have NPC management from SCS installed. So when Haer'Dalis joins, he is at level 0.

    Ah! Well that's different. So maybe it's a 1st-level ability. More things to check. (Though I still don't get how a quest mod could corrupt a spell in my clab tables when the spell is installed after it...)

    Further weirdness... I tried installing MnG bards component first then tottg. Now I can create the bard-blade character without the crash. However, they end up with no memorization slots. 0 slots in l1, l2, l3 spells.

    I suspect ToDG is doing something with stat 108 or stat 109, both of which are used by MnG to keep track of spell slots. The MnG system is designed to work with normally used proficiencies without interfering (it increments the proficiencies in the upper 3 bytes and checks for bit-equality)... but it still depends on precisely how the other mod uses those stats.

    Need to confirm that, though, before going down a rabbit hole trying to fix things.

    Ok. Please let me know if you want me to test with some edits to some 2da files or something. Or send you some other files to examine.

    Thanks a lot.

  • ThacoBellThacoBell Member Posts: 11,096
    edited July 2019
  • Nathan82Nathan82 Member Posts: 7
    Hello
    Just had this error , installing as part of megamod
    Is it going to cause problems or can i just ignore?

    [C:\BGT all\BGII - SOA\setup-might_and_guile.exe] WeiDU version 24600
    Using Language [English]
    Installing [Revised Berserker and Rage] [3.8.17]
    Copying and patching 1 file ...
    ERROR: cannot convert cols or %cols% to an integer
    ERROR: [kitlist.2da] -> [override] Patching Failed (COPY) (Not_found)
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    ERROR Installing [Revised Berserker and Rage], rolling back to previous state
    Will uninstall 0 files for [MIGHT_AND_GUILE/MIGHT_AND_GUILE.TP2] component 250.
    Uninstalled 0 files for [MIGHT_AND_GUILE/MIGHT_AND_GUILE.TP2] component 250.
    ERROR: Not_found
    Please make a backup of the file: SETUP-MIGHT_AND_GUILE.DEBUG and look for support at: SubtleD
    Automatically Skipping [Revised Berserker and Rage] because of error.
    Using Language [English]
    NOT INSTALLED DUE TO ERRORS Revised Berserker and Rage

    Thanks in advance for any help

  • The user and all related content has been deleted.

  • Nathan82Nathan82 Member Posts: 7
    @subtledoctor
    Dont suppose you have an idea as to why i got the error?
    Or, as im using loads of mods, theres too many possible causes?
    Thanks

  • amitlathamitlath Member Posts: 22
    Nathan82 wrote: »
    Hello
    Just had this error , installing as part of megamod
    Is it going to cause problems or can i just ignore?

    [C:\BGT all\BGII - SOA\setup-might_and_guile.exe] WeiDU version 24600
    Using Language [English]
    Installing [Revised Berserker and Rage] [3.8.17]
    Copying and patching 1 file ...
    ERROR: cannot convert cols or %cols% to an integer
    ERROR: [kitlist.2da] -> [override] Patching Failed (COPY) (Not_found)
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    ERROR Installing [Revised Berserker and Rage], rolling back to previous state
    Will uninstall 0 files for [MIGHT_AND_GUILE/MIGHT_AND_GUILE.TP2] component 250.
    Uninstalled 0 files for [MIGHT_AND_GUILE/MIGHT_AND_GUILE.TP2] component 250.
    ERROR: Not_found
    Please make a backup of the file: SETUP-MIGHT_AND_GUILE.DEBUG and look for support at: SubtleD
    Automatically Skipping [Revised Berserker and Rage] because of error.
    Using Language [English]
    NOT INSTALLED DUE TO ERRORS Revised Berserker and Rage

    Thanks in advance for any help

    Do you have the Solaufein Romance mod installed? I remember having similar patching failed errors, although with other files, and it came out to be because of that mod messing up the Triggers.ids file. I believe the latest bwp fixpack or the latest eet fixpack fixes it.

    But not sure if it's the same issue with your install.

  • Nathan82Nathan82 Member Posts: 7
    edited July 2019
    No, i havent got that mod installed. Im starting to wonder if somewhere i've got an EET mod mixed in somewhere.
    Could that be the cause?
    Or a mod thats compatible with BG:EE /EET and BG/BG2/BGT be returning of unusable value for BGT but would work for EET or doing something else to cause this problem?

    Post edited by Nathan82 on
  • [Deleted User][Deleted User] Posts: 0
    edited July 2019
    The user and all related content has been deleted.

    Post edited by [Deleted User] on
    Hypaspist
Sign In or Register to comment.